package org.oasisopen.sca;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import java.net.URI;
import java.net.URISyntaxException;

import org.junit.Test;

import com.helloservice.HelloService;


public class TestSCAClientGetService {
    
    @Test
    public void testScaClientCanGetService() throws NoSuchServiceException, NoSuchDomainException, URISyntaxException {
        final String serviceURI = "SomeHelloServiceURI";
        final URI domainURI = new URI("SomeDomainURI");
        
        final SCAClient scaClient = SCAClientFactory.createSCAClient();
        assertNotNull(scaClient);
        
        final HelloService helloService = scaClient.getService(HelloService.class, serviceURI, domainURI);
        assertNotNull(helloService);
        
        final String reply = helloService.sayHello("Mark");
        assertEquals("Hello Mark", reply);
    }
}
